Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.geom
Interface TexCoordGenerator

All Known Implementing Classes:
  LinearGradientFill, RadialGradientFill

    public interface TexCoordGenerator

A class capable of generating texture coordiantes based on rendering positions of verticies. This allows custom texturing of geometric shapes

Author:
  kevin

Method Summary
`Vector2f` | `getCoordFor(float x, float y)` Get the texture coordinate for a given render position

Method Detail

### getCoordFor

    Vector2f getCoordFor(float x,
                         float y)

  Get the texture coordinate for a given render position

  Parameters:
    `x` - The x coordinate of the vertex being rendered
    `y` - The y coordinate of the vertex being rendered
  Returns:
    The texture coordinate to apply

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.